document.addEventListener('DOMContentLoaded', function() {
    fetch('collection.json')
        .then(response => response.json())
        .then(collection_json => {
            // Generate Exercise plan
            const egen = new ExerciseGenerator(collection_json);

            // 2 sets of 4 exercises each, 3 reps per set
            let workout_json = egen.generate_build_and_burn(2, 4, 3);
            console.log(workout_json);

            const wo = new Workout(document.getElementById("content-wrapper"),
                                   workout_json);
            wo.render();
        })
        .catch(error => {
            console.error('Error fetching JSON:', error);
        });
});
